Package io.dapr.v1

# Interface DaprProtos.AppConnectionPropertiesOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.AppConnectionProperties`, `DaprProtos.AppConnectionProperties.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.AppConnectionPropertiesOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getChannelAddress()`
`string channel_address = 3 [json_name = "channelAddress"];`
`com.google.protobuf.ByteString`
`getChannelAddressBytes()`
`string channel_address = 3 [json_name = "channelAddress"];`
`DaprProtos.AppConnectionHealthProperties`
`getHealth()`
`.dapr.proto.runtime.v1.AppConnectionHealthProperties health = 5;`
`DaprProtos.AppConnectionHealthPropertiesOrBuilder`
`getHealthOrBuilder()`
`.dapr.proto.runtime.v1.AppConnectionHealthProperties health = 5;`
`int`
`getMaxConcurrency()`
`int32 max_concurrency = 4 [json_name = "maxConcurrency"];`
`int`
`getPort()`
`int32 port = 1;`
`String`
`getProtocol()`
`string protocol = 2;`
`com.google.protobuf.ByteString`
`getProtocolBytes()`
`string protocol = 2;`
`boolean`
`hasHealth()`
`.dapr.proto.runtime.v1.AppConnectionHealthProperties health = 5;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getPort

int getPort()
`int32 port = 1;`

Returns:
  The port.

### getProtocol

String getProtocol()
`string protocol = 2;`

Returns:
  The protocol.

### getProtocolBytes

com.google.protobuf.ByteString getProtocolBytes()
`string protocol = 2;`

Returns:
  The bytes for protocol.

### getChannelAddress

String getChannelAddress()
`string channel_address = 3 [json_name = "channelAddress"];`

Returns:
  The channelAddress.

### getChannelAddressBytes

com.google.protobuf.ByteString getChannelAddressBytes()
`string channel_address = 3 [json_name = "channelAddress"];`

Returns:
  The bytes for channelAddress.

### getMaxConcurrency

int getMaxConcurrency()
`int32 max_concurrency = 4 [json_name = "maxConcurrency"];`

Returns:
  The maxConcurrency.

### hasHealth

boolean hasHealth()
`.dapr.proto.runtime.v1.AppConnectionHealthProperties health = 5;`

Returns:
  Whether the health field is set.

### getHealth

DaprProtos.AppConnectionHealthProperties getHealth()
`.dapr.proto.runtime.v1.AppConnectionHealthProperties health = 5;`

Returns:
  The health.

### getHealthOrBuilder

DaprProtos.AppConnectionHealthPropertiesOrBuilder getHealthOrBuilder()
`.dapr.proto.runtime.v1.AppConnectionHealthProperties health = 5;`